<%@ Page Title="View User Profile" language="c#" Codebehind="viewpostsbyuser.aspx.cs" AutoEventWireup="True" Inherits="aspnetforum.viewpostsbyuser" MasterPageFile="aspnetforummaster.master" %>
<asp:Content ContentPlaceHolderID="AspNetForumContentPlaceHolder" ID="AspNetForumContent" runat="server">
    <div class="location">
	<h2>
    <asp:Label id="lblUser" runat="server" Font-Bold="True" meta:resourcekey="lblUserResource1"></asp:Label>
    -
    <asp:Label ID="lblAllMsgs" runat="server" EnableViewState="False" meta:resourcekey="lblAllMsgsResource1">all messages by user</asp:Label>
    </h2></div>
	    <asp:repeater id="rptMessagesList" runat="server" EnableViewState="False">
	        <HeaderTemplate>
	            <table width="100%" cellpadding="19">
	        </HeaderTemplate>
		    <ItemTemplate>
			    <tr valign="top">
				    <td style="width:120px">
				        <span class="gray">
				        <%# ToAgoString((DateTime)Eval("CreationDate"))%><br />
				        Topic:</span>
				        <a href='<%# aspnetforum.Utils.Various.GetTopicURL(Eval("TopicID"), Eval("Subject")) %>'><strong><%# Eval("Subject") %></strong></a>
				        <br/><br/>
				        <%# aspnetforum.Utils.User.DisplayUserInfo(userID, userName, null, avatarFileName, firstName, lastName)%>
			        </td>
				    <td><%# aspnetforum.Utils.Formatting.FormatMessageHTML(Eval("Body").ToString())%></td>
			    </tr>
		    </ItemTemplate>
		    <FooterTemplate>
		        <tr>
		        <th colspan="2">
				    <asp:Label ID="lblPager" runat="server" EnableViewState="False" meta:resourcekey="lblPagerResource1">pages:</asp:Label>
				    <%#pagerString %>
			    </th></tr>
                </table>
		    </FooterTemplate>
	    </asp:repeater>
</asp:Content>